<html>
<head>
<title>
Cours de Compilation</title>

</head>

<BODY BACKGROUND="" BGCOLOR="#0000a0" TEXT="#ffff80" LINK="#80ff00" VLINK="#ff80c0" ALINK="#ff0000">
<P>

<center>
<h1>
Cours de Compilation
</h1>
</center>
<p>

Je continue la préparation des notes, mais avec quelques jours de retard
par rapport au calendrier...
<p>
<em>Stay tuned</em>, 
<p>

<a href="comres1.html">
<font size=+1><b>Cours et TD : première page</b></font></a>
<p>
<a href="comres11.html">
<font size=+1><b>CM/TD : dernière page installée</b></font></a>
<p>

<a href="quest.html">
<font size=+1><b>Foire aux questions</b></font></a>
<p>


<hr>
<p>

<a href="devoir.html">
<font size=+1><b>Votre devoir</b></font></a>
<p>

<!-- ********************************************************* --><p>
<CENTER><IMG SRC="../icons/limarro.gif" WIDTH="576" HEIGHT="9" ALT="">
</CENTER>
<p>





Mes polyps précédents ont été désactivés, je suis en train de
préparer la nouvelle mouture qui va combiner la version PDF de
1998 avec celle-là.
<p>

<!--
<ol>
<li>
<a
href="http://www.info.unicaen.fr/~karczma/matrs/pap/complica.pdf">Première
partie</a>

<li>
<a href="http://www.info.unicaen.fr/~karczma/matrs/pap/complicb.pdf">Seconde
partie</a>

<li>
<a
href="http://www.info.unicaen.fr/~karczma/matrs/pap/complicc.pdf">Troisième
partie</a>
</ol>
-->

<p>
<hr width=80% size=6>
<p>
<h1>Logiciels dont vous aurez besoin</h1>
<ol>
<li> <a href="hugsinf.html">Comment utiliser Hugs</a>
<li> <a href="gentinf.html">Usage du paquetage Gentle</a>
<li> <a href="antlinf.html">ANTLR pour les piétons</a>
</ol>
<p>
(Pour l'instant seulement le premier lien marche).
<p>

<hr>
<p>
<h2>Ressources: aide à la compilation</h2>
(Temporaire ; cette rubrique sera transférée dans les 
<a href="http://www.info.unicaen.fr/~karczma/matrs/ressi.html">"Ressources
Internet"</a>, et enrichie par quelques commentaires personnels.)
<p>
&nbsp;<p>
<ul>
<li>
<a href="http://www.eg3.com/softd/compiler.htm" target=_top>EG3 Compiler resource
page</a>

<li>
<a href="http://www.faqs.org/faqs/compilers/faq/" target=_top>Compiler FAQ</a>

<li>
<a href="http://www.first.gmd.de/cogent/catalog/" target=_top>Catalog of
Compiler Construction Tools</a>

<li>
<a href="http://www.first.gmd.de/gentle/" target=_top>Gentle Home Page</a>

<li>
<a href="http://www.antlr.org/" target=_top>MageLang ANTLR Home Page</a>

<li>
<a href="http://iecc.com/compilers/crenshaw/" target=_top>On-line
Compilation Tutorial by Jack Crenshaw</a>

<li>
<a href="http://www.score.is.tsukuba.ac.jp/~chak/ctk/" target=_top>CTK, a
compiler toolkit in Haskell</a>

<li>
<a href="http://www.iecc.com/gclist/GC-faq.html" target=_top>Garbage
Collection FAQ</a>

<li>
<a href="http://cs.wwc.edu/~aabyan/SRG/Compiler/PrologTools/"
target=_top>Compiler Construction Tools in Prolog</a>

<li>
<a href="http://www.idiom.com/free-compilers/ECATEGORY/compiler-1.html"
target=_top>Compiler generator list</a>

<li>
<a href="http://www.idiom.com/free-compilers/ECATEGORY/compiler-2.html"
target=_top>Compiler FrontEnd/BackEnd interfacing</a>

<li>
<a href="http://eve.info.umoncton.ca:8080/~in4243/liens.html"
target=_top>Quelques liens sur la compilation à Moncton</a>

<li>
<a href="http://iecc.com/compilers/tools.html" target=_top>Catalog of  
Compiler Construction Products 01-98</a>

<li>
<a href="http://pauillac.inria.fr/~remy/poly/compil/" target=_top>Cours de
compilation de Didier Rémy (INRIA).</a> (Il mentionne le bouquin de Appel,
version ML et en donne des références).

<li>
<a href="http://www.prism.uvsq.fr/~hpc/Enseignement/Compilation/"
target=_top>Matériaux sur compilation, de Henri-Pierre Charles (PRISM, Univ.
de Versailles)</a>. (Notes de cours, "Kits de survie" pour Yacc, ANTLR,
etc.)

<li>
<a href="http://www.haskell.org/" target=_top>Tout sur Haskell</a>

</ul>
<p>

<p>

<CENTER>
<IMG SRC="../icons/an_colorbar.gif" WIDTH="600" HEIGHT="6" ALT="">
</CENTER><P>

<b>... et encore un peu sur PostScript pour les <i>volenti</i></b>.
<p>
<ul>
<li>
<a href="http://www.swin.edu.au/astronomy/pbourke/dataformats/postscript/index.html"
target=_top>PostScript Tutorial de Paul Bourke</a>

<li>
<a href="http://www.mis.coventry.ac.uk/~kenmk/PsTut/psindex.htm"
target=_top>Tutorial de Ken Monk</a>

<li>
<a href="http://devcentral.iftech.com/learning/tutorials/misc/ps/"
target=_top>Lance Lovette (Dev Central) - PS tutorial</a>

<li>
<a href="http://www.cs.uregina.ca/dept/manuals/Manuals/7Language/7_11Postscript/7_11PostScript_ToC.html"
target=_top>... et un autre (U. Regina, Canada)</a>

<li>
<a href="http://karlsberg.usask.ca/Postscript-FAQ.html"
target=_top>PostScript FAQ</a>

<li>
<a href="http://partners.adobe.com/asn/developer/PDFS/TN/PLRM.pdf"
target=_top>Le manuel de référence de Adobe. Attention, format PDF !</a>
(7,6 Méga).



</ul>
<p>

Cette liste n'épuise pas les ressources. Ne perdez pas trop de temps
à fouiller tout, car chaque enseignant à sa propre vision des
priorités, et son style particulier. Avertissez-moi si un ou plusieurs
liens inclus ici disparaîssent !
<p>
Questions?
<p>
<font color=#50FF20>Non? Alors pas de réponses...</font>
<p>
<p>


</body>
</html>
